Index: tensions/Comments_on_Albums/admin.php
===================================================================
--- /extensions/Comments_on_Albums/admin.php	(revision 14527)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<?php
-if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-load_language('plugin.lang', COA_PATH);
-$conf['comments_on_albums'] = unserialize($conf['comments_on_albums']);
-
-// +-----------------------------------------------------------------------+
-//                         Save configuration                              |
-// +-----------------------------------------------------------------------+
-if (isset($_POST['config_submit'])) 
-{
-  $conf['comments_on_albums'] = array(
-    'icon_color' => $_POST['icon_color'],
-    'icon_color_over' => $_POST['icon_color_over'],
-    );
-  
-  conf_update_param('comments_on_albums', serialize($conf['comments_on_albums']));
-  array_push($page['infos'], l10n('Information data registered in database'));
-}  
-
-
-// +-----------------------------------------------------------------------+
-//                               Template                                  |
-// +-----------------------------------------------------------------------+
-
-// available icons
-$dh = opendir(COA_PATH . 'template/s26');
-while (($file = readdir($dh)) !== false ) 
-{
-  if ($file !== '.' AND $file !== '..' AND in_array(strtolower(get_extension($file)), array('jpg', 'png', 'gif'))) 
-  {
-    $template->append('COLORS', $file);
-  }
-}
-closedir($dh);
-  
-$template->assign(
-  array(
-    'COA_PATH' => COA_PATH,
-    'ICON_COLOR' => $conf['comments_on_albums']['icon_color'],
-    'ICON_COLOR_OVER' => $conf['comments_on_albums']['icon_color_over'],
-    )
-  );
-
-$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/template/config.tpl'));
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-
-?>
Index: /extensions/Comments_on_Albums/include/coa_admin_comments.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_admin_comments.php	(revision 14527)
+++ /extensions/Comments_on_Albums/include/coa_admin_comments.php	(revision 14528)
@@ -46,5 +46,5 @@
     else
     {
-      include_once(COA_PATH.'include/functions_comment.inc.php');
+      include_once(COA_PATH.'include/functions_comment.inc.php'); // custom functions
       check_input_parameter('comments', $_POST, true, PATTERN_ID);
 
@@ -109,6 +109,5 @@
     cat.name,
     img.id AS image_id,
-    img.path,
-    img.tn_ext
+    img.path
   FROM '.COA_TABLE.' AS com
     LEFT JOIN '.CATEGORIES_TABLE.' AS cat
@@ -138,12 +137,11 @@
     
     // thumbnail
-    $row['thumb'] = get_thumbnail_url(
+    $row['thumb'] = DerivativeImage::thumb_url(
       array(
-        'id' => $row['image_id'],
-        'path' => $row['path'],
-        'tn_ext' => @$row['tn_ext'],
+        'id'=>$row['image_id'],
+        'path'=>$row['path'],
         )
      );
-    
+
     // comment content
     $template->append(
@@ -151,5 +149,5 @@
       array(
         'ID' => $row['id'],
-        'CAT_URL' => PHPWG_ROOT_PATH.'admin.php?page=cat_modify&amp;cat_id='.$row['category_id'],
+        'CAT_URL' => PHPWG_ROOT_PATH.'admin.php?page=album-'.$row['category_id'],
         'CAT_NAME' => trigger_event('render_category_name', $row['name']),
         'TN_SRC' => $row['thumb'],
Index: /extensions/Comments_on_Albums/include/coa_albums.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_albums.php	(revision 14527)
+++ /extensions/Comments_on_Albums/include/coa_albums.php	(revision 14528)
@@ -27,10 +27,6 @@
     case 'edit_comment' : 
     {
-      check_pwg_token();
-      
       include_once(COA_PATH.'include/functions_comment.inc.php'); // custom fonctions
-      
       check_input_parameter('comment_to_edit', $_GET, false, PATTERN_ID);
-      
       $author_id = get_comment_author_id_albums($_GET['comment_to_edit']);
 
@@ -39,4 +35,5 @@
         if (!empty($_POST['content'])) 
         {
+          check_pwg_token();
           $comment_action = update_user_comment_albums(
             array(
@@ -48,16 +45,16 @@
             );
           
-          $infos = array();
-          
+          $perform_redirect = false;
           switch ($comment_action)
           {
             case 'moderate':
-              array_push($infos, l10n('An administrator must authorize your comment before it is visible.'));
+              $_SESSION['page_infos'][] = l10n('An administrator must authorize your comment before it is visible.');
             case 'validate':
-              array_push($infos, l10n('Your comment has been registered'));
+              $_SESSION['page_infos'][] = l10n('Your comment has been registered');
+              $perform_redirect = true;
               break;
             case 'reject':
-              set_status_header(403);
-              array_push($infos, l10n('Your comment has NOT been registered because it did not pass the validation rules'));
+              $_SESSION['page_errors'][] = l10n('Your comment has NOT been registered because it did not pass the validation rules');
+              $perform_redirect = true;
               break;
             default:
@@ -65,17 +62,15 @@
           }
 
-          $template->assign(
-              ($comment_action=='reject') ? 'errors' : 'infos',
-              $infos
-            );
-
+          if ($perform_redirect)
+          {
+            redirect($url_self);
+          }
           unset($_POST['content']);
-          break;
         } 
         else 
         {
           $edit_comment = $_GET['comment_to_edit'];
-          break;
         }
+        break;
       }
     }
@@ -84,5 +79,5 @@
       check_pwg_token();
       
-      include_once(COA_PATH.'include/functions_comment.inc.php');
+      include_once(COA_PATH.'include/functions_comment.inc.php'); // custom fonctions
       
       check_input_parameter('comment_to_delete', $_GET, false, PATTERN_ID);
@@ -101,5 +96,5 @@
       check_pwg_token();
       
-      include_once(COA_PATH.'include/functions_comment.inc.php');
+      include_once(COA_PATH.'include/functions_comment.inc.php'); // custom fonctions
       
       check_input_parameter('comment_to_validate', $_GET, false, PATTERN_ID);
@@ -116,4 +111,5 @@
   }
 }
+
 
 // +-----------------------------------------------------------------------+
@@ -133,27 +129,22 @@
   );
 
-  include_once(COA_PATH.'include/functions_comment.inc.php');
+  include_once(COA_PATH.'include/functions_comment.inc.php'); // custom fonctions
   
-  $comment_action = insert_user_comment_albums($comm, @$_POST['key'], $infos);
+  $comment_action = insert_user_comment_albums($comm, @$_POST['key'], $page['infos']);
 
   switch ($comment_action) 
   {
     case 'moderate':
-      array_push($infos, l10n('An administrator must authorize your comment before it is visible.'));
+      array_push($page['infos'], l10n('An administrator must authorize your comment before it is visible.'));
     case 'validate':
-      array_push($infos, l10n('Your comment has been registered'));
+      array_push($page['infos'], l10n('Your comment has been registered'));
       break;
     case 'reject':
       set_status_header(403);
-      array_push($infos, l10n('Your comment has NOT been registered because it did not pass the validation rules'));
+      array_push($page['errors'], l10n('Your comment has NOT been registered because it did not pass the validation rules'));
       break;
     default:
       trigger_error('Invalid comment action '.$comment_action, E_USER_WARNING);
   }
-
-  $template->assign(
-      ($comment_action=='reject') ? 'errors' : 'infos',
-      $infos
-    );
     
   // allow plugins to notify what's going on
@@ -161,5 +152,6 @@
       array_merge($comm, array('action'=>$comment_action) )
     );
-  
+    
+  $template->assign('DISPLAY_COMMENTS_BLOCK', true);
 } 
 else if (isset($_POST['content'])) 
@@ -194,5 +186,5 @@
   $row = pwg_db_fetch_assoc(pwg_query($query));
 
-  // navigation bar creation, custom again
+  // navigation bar creation, can't use $_GET['start'] because used by thumbnails navigation bar
   if (isset($_GET['start_comments'])) 
   {
@@ -203,5 +195,5 @@
     $page['start_comments'] = 0;
   }
-  include_once(COA_PATH.'include/functions.inc.php');
+  include_once(COA_PATH.'include/functions.inc.php'); // custom fonctions
 
   $navigation_bar = create_comment_navigation_bar(
@@ -221,4 +213,16 @@
   if ($row['nb_comments'] > 0) 
   {
+    // comments order (get, session, conf)
+    if (!empty($_GET['comments_order']) && in_array(strtoupper($_GET['comments_order']), array('ASC', 'DESC')))
+    {
+      pwg_set_session_var('comments_order', $_GET['comments_order']);
+    }
+    $comments_order = pwg_get_session_var('comments_order', $conf['comments_order']);
+
+    $template->assign(array(
+      'COMMENTS_ORDER_URL' => add_url_params( duplicate_index_url(), array('comments_order'=> ($comments_order == 'ASC' ? 'DESC' : 'ASC') ) ),
+      'COMMENTS_ORDER_TITLE' => $comments_order == 'ASC' ? l10n('Show latest comments first') : l10n('Show oldest comments first'),
+      ));
+      
     // get comments
     $query = '
@@ -237,5 +241,5 @@
   WHERE category_id = '.$category['id'].'
     '.$validated_clause.'
-  ORDER BY date ASC
+  ORDER BY date '.$comments_order.'
   LIMIT '.$conf['nb_comment_page'].' OFFSET '.$page['start_comments'].'
 ;';
@@ -285,13 +289,13 @@
             'action' => 'edit_comment',
             'comment_to_edit' => $row['id'],
-            'pwg_token' => get_pwg_token(),
             )
           );
         if (isset($edit_comment) and ($row['id'] == $edit_comment)) 
         {
+          $tpl_comment['IN_EDIT'] = true;
           $key = get_ephemeral_key(2, $category['id']);
-          $tpl_comment['IN_EDIT'] = true;
           $tpl_comment['KEY'] = $key;
           $tpl_comment['CONTENT'] = $row['content'];
+          $tpl_comment['PWG_TOKEN'] = get_pwg_token();
         }
       }
@@ -331,6 +335,5 @@
       $content = htmlspecialchars(stripslashes($comm['content']));
     }
-    $template->assign(
-      'comment_add', 
+    $template->assign('comment_add', 
       array(
         'F_ACTION' => $url_self,
@@ -343,51 +346,18 @@
   
   // template
-  $template->assign(
-    array(
-      'COA_PATH' => COA_PATH, // for css
-      'COA_ABSOLUTE_PATH' => dirname(__FILE__) .'/../', // for template
-      )
-    );
+  $template->assign(array(
+    'COA_PATH' => COA_PATH, // for css
+    'COA_ABSOLUTE_PATH' => dirname(__FILE__) .'/../', // for template
+    ));
   
-  global $user;
-  if ( $is_simple = strstr($user['theme'], 'simple') !== false or strstr($user['theme'], 'stripped') !== false )
-  {
-    $template->assign('IS_SIMPLE', $is_simple);
-    $template->set_filename('comments_on_albums', dirname(__FILE__) .'/../template/albums_simple.tpl');
+  $template->set_filename('comments_on_albums', dirname(__FILE__) .'/../template/albums.tpl');
+  if (isset($pwg_loaded_plugins['rv_tscroller']) AND count($page['navigation_bar']) != 0)
+  {
+    $template->assign('COMMENTS_ON_TOP', true);
+    $template->concat('PLUGIN_INDEX_CONTENT_BEGIN', $template->parse('comments_on_albums', true));
   }
   else
   {
-    $template->set_filename('comments_on_albums', dirname(__FILE__) .'/../template/albums.tpl');
-  }
-  $template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('comments_on_albums', true));
-  
-  if (isset($infos))
-  {
-    $template->set_prefilter('index', 'coa_messages');
-  }
-  
-  function coa_messages($content, &$smarty) 
-  {
-    $replacement = '
-{if !empty($errors)}
-<div class="errors">
-  <ul>
-    {foreach from=$errors item=error}
-    <li>{$error}</li>
-    {/foreach}
-  </ul>
-</div>
-{/if}
-{if !empty($infos)}
-<div class="infos">
-  <ul>
-    {foreach from=$infos item=info}
-    <li>{$info}</li>
-    {/foreach}
-  </ul>
-</div>
-{/if}';
-
-    return str_replace('{$MENUBAR}', $replacement.'{$MENUBAR}', $content);
+    $template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('comments_on_albums', true));
   }
 }
Index: /extensions/Comments_on_Albums/include/coa_comments_page.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_comments_page.php	(revision 14527)
+++ /extensions/Comments_on_Albums/include/coa_comments_page.php	(revision 14528)
@@ -2,16 +2,5 @@
 /* inspired by comments.php */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
 load_language('plugin.lang', COA_PATH);
-$conf['comments_on_albums'] = unserialize($conf['comments_on_albums']);
-
-$template->assign(
-  array(
-    'COA_PATH' => COA_PATH,
-    'ICON_COLOR' => $conf['comments_on_albums']['icon_color'],
-    'ICON_COLOR_OVER' => $conf['comments_on_albums']['icon_color_over'],
-    )
-  );
-
 
 // +-----------------------------------------------------------------------+
@@ -19,5 +8,5 @@
 // +-----------------------------------------------------------------------+
 
-if (!isset($_GET['display_mode'])) 
+if ( !isset($_GET['display_mode']) or $_GET['display_mode'] != 'albums' ) 
 {  
   // adds a button for switch page
@@ -25,25 +14,13 @@
   
   function coa_add_button($content, &$smarty) 
-  {
-    $search = '<ul class="categoryActions">';
-
-$replacement = '
-{html_head}
-  <style type="text/css">
-    .pwg-icon-comments-albums {ldelim}
-      background-image: url({$COA_PATH}template/s26/{$ICON_COLOR});
-      background-position: -26px 0;
-    }
-    a:hover .pwg-icon-comments-albums {ldelim}
-      background-image: url({$COA_PATH}template/s26/{$ICON_COLOR_OVER});
-      background-position: -26px 0;
-    }
-  </style>
-{/html_head}
-
-  '.$search.'
-    <li><a href="comments.php?display_mode=albums" title="' . l10n('Comments on albums') . '" class="pwg-state-default pwg-button">
-      <span class="pwg-icon pwg-icon-comments-albums">&nbsp;</span><span class="pwg-button-text">' . l10n('Comments on albums') . '</span>
-    </a></li>';
+  {    
+    $search ="{include file='infos_errors.tpl'}";
+    $replacement = $search.'
+<form class="filter">
+<fieldset>
+  <legend>{\'Display comments on\'|@translate}</legend>
+  <span style="font-size:1.1em;"><a href="#" style="font-weight:bold;">{\'Photos\'|@translate}</a> | <a href="comments.php?display_mode=albums">{\'Albums\'|@translate}</a></span>
+</fieldset>
+</form>';
 
     return str_replace($search, $replacement, $content);
@@ -58,4 +35,6 @@
 else if ($_GET['display_mode'] == 'albums') 
 {
+  include_once(COA_PATH.'include/functions_comment.inc.php'); // custom functions
+  
   // reset some template vars
   $template->clear_assign(array('comments', 'navbar', 'sort_by_options'));
@@ -88,13 +67,7 @@
   if (isset($action)) 
   {
-    include_once(COA_PATH.'include/functions_comment.inc.php');
-    
-    check_pwg_token();
-    
     $comment_author_id = get_comment_author_id_albums($comment_id);
     
-    $true_action = str_replace('_albums', null, $action); // but we must check true action names
-
-    if (can_manage_comment($true_action, $comment_author_id)) 
+    if (can_manage_comment(str_replace('_albums', null, $action), $comment_author_id)) 
     {
       $perform_redirect = false;
@@ -102,4 +75,5 @@
       if ('delete_albums' == $action) 
       {
+        check_pwg_token();
         delete_user_comment_albums($comment_id);
         $perform_redirect = true;
@@ -107,4 +81,5 @@
       if ('validate_albums' == $action) 
       {
+        check_pwg_token();
         validate_user_comment_albums($comment_id);
         $perform_redirect = true;
@@ -114,4 +89,5 @@
         if (!empty($_POST['content'])) 
         {
+          check_pwg_token();
           update_user_comment_albums(
             array(
@@ -122,6 +98,6 @@
             $_POST['key']
             );
-          //$perform_redirect = true;
-          $edit_comment = null;
+          
+          $perform_redirect = true;
         } 
         else 
@@ -155,6 +131,5 @@
 
   $query = '
-SELECT 
-    COUNT(DISTINCT(com.id))
+SELECT COUNT(DISTINCT(com.id))
   FROM '.COA_TABLE.' AS com
   LEFT JOIN '.USERS_TABLE.' As u
@@ -165,7 +140,6 @@
   list($counter) = pwg_db_fetch_row(pwg_query($query));
 
-  $url = 
-    PHPWG_ROOT_PATH
-    .'comments.php'
+  $url = PHPWG_ROOT_PATH
+      .'comments.php'
     .get_query_string_diff(array('start','delete_albums','validate_albums','edit_albums','pwg_token'));
     
@@ -177,4 +151,5 @@
     ''
     );
+  
   $template->assign('navbar', $navbar);
 
@@ -210,10 +185,10 @@
     com.validated
   ORDER BY '.$page['sort_by'].' '.$page['sort_order'];
-  if ('all' != $page['items_number']) 
-  {
-    $query.= '
+if ('all' != $page['items_number']) 
+{
+  $query.= '
   LIMIT '.$page['items_number'].' OFFSET '.$start;
-  }
-  $query.= '
+}
+$query.= '
 ;';
   $result = pwg_query($query);
@@ -258,4 +233,7 @@
     foreach ($comments as $comment) 
     {
+      // source of the thumbnail picture
+      $comment['src_image'] = new SrcImage($categories[$comment['comment_id']]);
+    
       // category url
       $comment['cat_url'] = duplicate_index_url(
@@ -269,13 +247,4 @@
           )
         );
-       
-      // category thumbnail
-      $comment['thumb'] = get_thumbnail_url(
-        array(
-          'id' => $categories[$comment['comment_id']]['image_id'],
-          'path' => $categories[$comment['comment_id']]['path'],
-          'tn_ext' => @$categories[$comment['comment_id']]['tn_ext'],
-          )
-       );
       
       // comment content
@@ -284,5 +253,5 @@
         'U_PICTURE' => $comment['cat_url'],
         'ALT' => trigger_event('render_category_name', $categories[$comment['comment_id']]['name']),
-        'TN_SRC' => $comment['thumb'],
+        'src_image' => $comment['src_image'],
         'AUTHOR' => trigger_event('render_comment_author', $comment['author']),
         'DATE' => format_date($comment['date'], true),
@@ -293,9 +262,4 @@
       if (can_manage_comment('delete', $comment['author_id'])) 
       {
-        $url = 
-          get_root_url()
-          .'comments.php'
-          .get_query_string_diff(array('delete','validate','edit', 'pwg_token'));
-
         $tpl_comment['U_DELETE'] = add_url_params(
           $url, 
@@ -308,14 +272,8 @@
       if (can_manage_comment('edit', $comment['author_id'])) 
       {
-        $url = 
-          get_root_url()
-          .'comments.php'
-          .get_query_string_diff(array('edit', 'delete','validate', 'pwg_token'));
-
         $tpl_comment['U_EDIT'] = add_url_params(
           $url, 
           array(
             'edit_albums' => $comment['comment_id'],
-            'pwg_token' => get_pwg_token(),
             )
           );
@@ -323,9 +281,10 @@
         if (isset($edit_comment) and ($comment['comment_id'] == $edit_comment)) 
         {
+          $tpl_comment['IN_EDIT'] = true;
           $key = get_ephemeral_key(2, $comment['category_id']);
-          $tpl_comment['IN_EDIT'] = true;
           $tpl_comment['KEY'] = $key;
           $tpl_comment['IMAGE_ID'] = $comment['category_id'];
           $tpl_comment['CONTENT'] = $comment['content'];
+          $tpl_comment['PWG_TOKEN'] = get_pwg_token();
         }
       }
@@ -357,5 +316,5 @@
   
   function coa_change_comments_list($content, &$smarty) {
-    $search = '<img src="{$comment.TN_SRC}" alt="{$comment.ALT}">';
+    $search = '<img src="{$pwg->derivative_url($derivative_params, $comment.src_image)}" alt="{$comment.ALT}">';
     $replacement = $search.'<br/>{$comment.ALT}';
     return str_replace($search, $replacement, $content);
Index: /extensions/Comments_on_Albums/include/functions_comment.inc.php
===================================================================
--- /extensions/Comments_on_Albums/include/functions_comment.inc.php	(revision 14527)
+++ /extensions/Comments_on_Albums/include/functions_comment.inc.php	(revision 14528)
@@ -3,39 +3,35 @@
 
 //returns string action to perform on a new comment: validate, moderate, reject
-if (!function_exists('user_comment_check')) 
-{
-  function user_comment_check($action, $comment)
-  {
-    global $conf,$user;
-
-    if ($action=='reject')
-    return $action;
-
-    $my_action = $conf['comment_spam_reject'] ? 'reject':'moderate';
-
-    if ($action==$my_action)
-    return $action;
-
-    // we do here only BASIC spam check (plugins can do more)
-    if ( !is_a_guest() )
-    return $action;
-
-    $link_count = preg_match_all( '/https?:\/\//',
-    $comment['content'], $matches);
-
-    if ( strpos($comment['author'], 'http://')!==false )
-    {
-    $link_count++;
-    }
-
-    if ( $link_count>$conf['comment_spam_max_links'] )
-    return $my_action;
-
-    return $action;
-  }
-}
-
-
-add_event_handler('user_comment_check', 'user_comment_check',
+function user_comment_check_albums($action, $comment)
+{
+  global $conf,$user;
+
+  if ($action=='reject')
+  return $action;
+
+  $my_action = $conf['comment_spam_reject'] ? 'reject':'moderate';
+
+  if ($action==$my_action)
+  return $action;
+
+  // we do here only BASIC spam check (plugins can do more)
+  if ( !is_a_guest() )
+  return $action;
+
+  $link_count = preg_match_all( '/https?:\/\//',
+  $comment['content'], $matches);
+
+  if ( strpos($comment['author'], 'http://')!==false )
+  {
+  $link_count++;
+  }
+
+  if ( $link_count>$conf['comment_spam_max_links'] )
+  return $my_action;
+
+  return $action;
+}
+
+add_event_handler('user_comment_check_albums', 'user_comment_check_albums',
   EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
 
@@ -106,4 +102,5 @@
   {
     $comment_action='reject';
+    $_POST['cr'][] = 'key';
   }
 
@@ -125,5 +122,5 @@
 
   // perform more spam check
-  $comment_action = trigger_event('user_comment_check',
+  $comment_action = trigger_event('user_comment_check_albums',
       $comment_action, $comm
     );
@@ -149,5 +146,5 @@
     $comm['id'] = pwg_db_insert_id(COA_TABLE);
 
-    if ($conf['email_admin_on_comment']
+    if ( ($conf['email_admin_on_comment'] && 'validate' == $comment_action)
         or ($conf['email_admin_on_comment_validation'] and 'moderate' == $comment_action))
     {
@@ -239,4 +236,12 @@
     $comment_action='reject';
   }
+  elseif (!$conf['comments_validation'] or is_admin()) // should the updated comment must be validated
+  {
+    $comment_action='validate'; //one of validate, moderate, reject
+  }
+  else
+  {
+    $comment_action='moderate'; //one of validate, moderate, reject
+  }
 
   // perform more spam check
@@ -256,14 +261,4 @@
       $user_where_clause = '   AND author_id = \''.
   $GLOBALS['user']['id'].'\'';
-    }
-    
-    // should the updated comment must be validated
-    if (!$conf['comments_validation'] or is_admin())
-    {
-      $comment_action='validate'; //one of validate, moderate, reject
-    }
-    else
-    {
-      $comment_action='moderate'; //one of validate, moderate, reject
     }
 
Index: /extensions/Comments_on_Albums/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/cs_CZ/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/cs_CZ/plugin.lang.php	(revision 14528)
@@ -1,18 +1,6 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Komentáře o fotografiích';
 $lang['Comments on albums'] = 'Komentáře o albech';
-
-/* admin */
-$lang['Icons pack'] = 'Balík s ikonami';
-$lang['Basic state'] = 'Základní stav';
-$lang['Over state'] = 'Přechodný stav';
-
-$lang['COA_help_icon_pack'] = 'Vyberte, které ikony budou použity na hlavní stránce komentářů.<br>
-  <br>
-  Můžeze vložit i vlastní sadu ikon do složky <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'Ověření (pokud je aktivováno) komentářů o albech je na <a href="admin.php?page=comments&section=albums">totožné webové stránce</a> jako komentáře o fotografiích.';
-
 $lang['Display last posted comments on albums'] = 'Zobraz poslední vytvořené komentáře alba';
 $lang['Last comments on albums'] = 'Poslední komentáře alba';
Index: /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php	(revision 14528)
@@ -1,18 +1,6 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Kommentare zu Fotos';
 $lang['Comments on albums'] = 'Kommentare zu Alben';
-
-/* admin */
-$lang['Icons pack'] = 'Icons Pack';
-$lang['Basic state'] = 'Grundzustand';
-$lang['Over state'] = 'Over-Status';
-
-$lang['COA_help_icon_pack'] = 'Wählen Sie welche Icons auf der Hauptseite der Kommentare verwendet werden sollen.<br>
-  <br>
-  Sie können Ihre eigene im folgenden Ordner hinzufügen: <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'Die Validierung der Kommentare (falls aktiviert) zu den Alben ist auf <a href="admin.php?page=comments&section=albums">der gleichen Seite</a> wie die Kommentare zu den Fotos.';
-
 $lang['Display last posted comments on albums'] = 'Zeigt den zuletzt geposteten Kommentare zu den Alben an';
 $lang['Last comments on albums'] = 'Letzte Kommentare zu den Alben';
Index: /extensions/Comments_on_Albums/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/el_GR/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/el_GR/plugin.lang.php	(revision 14528)
@@ -1,18 +1,6 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Σχόλια σε φωτογραφίες';
 $lang['Comments on albums'] = 'Σχόλια σε άλμπουμς';
-
-/* admin */
-$lang['Icons pack'] = 'Πακέτο εικονιδίων';
-$lang['Basic state'] = 'Βασικό πακέτο';
-$lang['Over state'] = 'Επιπλεός πακέτο';
-
-$lang['COA_help_icon_pack'] = 'Επιλέξτε ποια εικονίδια θα χρησιμοποιηθούν στην κεντρική σελίδα Σχολίων.<br>
-<br>
-Μπορείτε να προσθέσετε τα δικά σας στο φάκελο <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'Η επικύρωση (αν είναι ενεργοποιημένη) των σχολίων για τα άλμπουμς<a href="admin.php?page=comments&section=albums">στην ίδια σελίδα</a> όπως τα σχόλια στις φωτογραφίες.'; 
- 
 $lang['Display last posted comments on albums'] = 'Εμφάνιση των τελευταίων δημοσιευμένων σχόλιων στα λευκώματα';
 $lang['Last comments on albums'] = 'Τελευταία σχόλια σε λευκώματα';
Index: /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php	(revision 14528)
@@ -1,19 +1,7 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Comments on photos';
 $lang['Comments on albums'] = 'Comments on albums';
-
-/* admin */
-$lang['Icons pack'] = 'Icons pack';
-$lang['Basic state'] = 'Basic state';
-$lang['Over state'] = 'Over state';
-
-$lang['COA_help_icon_pack'] = 'Select which icons must be used on the main Comments page.<br>
-  <br>
-  You can add your owns in the folder <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'Validation (if enabled) of comments on albums is on <a href="admin.php?page=comments&section=albums">the same page</a> as the comments on pictures.';
-
-/* stuffs */
+$lang['Display comments on'] = 'Display comments on';
 $lang['Last comments on albums'] = 'Last comments on albums';
 $lang['Display last posted comments on albums'] = 'Display last posted comments on albums';
Index: /extensions/Comments_on_Albums/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/es_ES/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/es_ES/plugin.lang.php	(revision 14528)
@@ -1,18 +1,6 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Comentarios sobre las fotos';
 $lang['Comments on albums'] = 'Comentarios sobre los albumes';
-
-/* admin */
-$lang['Icons pack'] = 'Paqute de iconos';
-$lang['Basic state'] = 'Estado bajo';
-$lang['Over state'] = 'Etado alto';
-
-$lang['COA_help_icon_pack'] = 'Seleccione los iconos para usar en la página principal de los comentarios<br>
-<br>
-Puede agregar sus propios iconos en la carpeta <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'La validación (si activada) de los comentarios sobre los albumes se hace <a href="admin.php?page=comments&section=albums">en la misma pagina</a> que para los comentarios sobre las fotos.';
-  
 $lang['Display last posted comments on albums'] = 'Mostrar los últimos comentarios hechos en álbums.';
 $lang['Last comments on albums'] = 'Últimos comentarios en álbums.';
Index: /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php	(revision 14528)
@@ -1,21 +1,8 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Commentaires sur les photos';
 $lang['Comments on albums'] = 'Commentaires sur les albums';
-
-/* admin */
-$lang['Icons pack'] = 'Pack d\'icônes';
-$lang['Basic state'] = 'Etat bas';
-$lang['Over state'] = 'Etat haut';
-
-$lang['COA_help_icon_pack'] = 'Selectionnez les icônes à utiliser sur la page principale des commentaires<br>
-  <br>
-  Vous pouvez ajouter les votres dans le dossier <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'La validation (si activée) des commentaires sur les albums ce fait <a href="admin.php?page=comments&section=albums">sur la même page</a> que pour les commentaires sur les photos.';
-
-/* stuffs */
+$lang['Display comments on'] = 'Afficher les commentaires des';
 $lang['Last comments on albums'] = 'Derniers commentaires sur les albums';
 $lang['Display last posted comments on albums'] = 'Affiche les derniers commentaires postés sur les albums';
-  
 ?>
Index: /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php	(revision 14528)
@@ -1,18 +1,6 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Hozzászólások a kép oldalakon';
 $lang['Comments on albums'] = 'Hozzászólások az album oldalakon';
-
-/* admin */
-$lang['Icons pack'] = 'Ikonkészlet';
-$lang['Basic state'] = 'Alap állapot';
-$lang['Over state'] = 'Bővített állapot';
-
-$lang['COA_help_icon_pack'] = 'Ki kell választani a Hozzászólások fő oldalon megjelenítendő ikonokat.<br>
-  <br>
-  Hozzáadhat saját mappát a  <i>plugins/comments_on_pictures/template/s26</i> könyvtárhoz.';
-$lang['COA_comment_validation_link'] = 'A hozzászólások engedélyezése (ha be van kapcsolva) az albumokhoz és képekhez <a href="admin.php?page=comments§section=albums">közös oldalon</a> történik.';
-
 $lang['Display last posted comments on albums'] = 'Albumok utolsó hozzászólásainak megjelenítése';
 $lang['Last comments on albums'] = 'Friss hozzászólások az albumokban';
Index: /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php	(revision 14528)
@@ -1,18 +1,6 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Commenti sulle foto';
 $lang['Comments on albums'] = 'Commenti sugli album';
-
-/* admin */
-$lang['Icons pack'] = 'Set d\'icone';
-$lang['Basic state'] = 'Stato di base';
-$lang['Over state'] = 'Stato elevato';
-
-$lang['COA_help_icon_pack'] = 'Selezionare le icone da usare nella pagina principale dei Commenti<br>
-  <br>
-  Potete aggiungere le vostre icone nella cartella <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'La Validazione (se attivata) dei commenti degli album si trova <a href="admin.php?page=comments&section=albums">sulla stessa pagina</a> dei commenti delle foto.';
-
 $lang['Display last posted comments on albums'] = 'Mostra ultimi commenti sugli album';
 $lang['Last comments on albums'] = 'Ultimi commenti sugli album';
Index: /extensions/Comments_on_Albums/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/lv_LV/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/lv_LV/plugin.lang.php	(revision 14528)
@@ -1,21 +1,7 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Komentari fotografijam';
 $lang['Comments on albums'] = 'Komentari albumiem';
-
-/* admin */
-$lang['Icons pack'] = 'Ikonu paka';
-$lang['Basic state'] = 'Pamatstavoklis';
-$lang['Over state'] = 'Virsstavoklis';
-
-$lang['COA_help_icon_pack'] = 'Izvelieties. kuras ikonas lietosiet Komentaru galvenaja lapa.<br>
-<br>
-Varat pievienot pai savas ikonas mape <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'Albuma komentaru validacija (ja iespejota) atrodas <a href="admin.php?page=comments§ion=albums">taja paa lapa,</a> kur komentari atteliem.';
-
-/* stuffs */
 $lang['Last comments on albums'] = 'Pedejie komentari par albumiem';
 $lang['Display last posted comments on albums'] = 'Paradit pedejos publicetos komentarus par albumiem';
-
 ?>
Index: /extensions/Comments_on_Albums/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/nl_NL/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/nl_NL/plugin.lang.php	(revision 14528)
@@ -1,32 +1,7 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-$lang['Basic state'] = 'Standaard';
-$lang['COA_comment_validation_link'] = 'COA_commentaar_validatie_link';
-$lang['COA_help_icon_pack'] = 'COA_help_iconen_set';
+
 $lang['Comments on albums'] = 'Commentaar op albums';
 $lang['Comments on photos'] = 'Commentaar op afbeeldingen';
 $lang['Display last posted comments on albums'] = 'Geef de laatste commentaren op albums weer';
-$lang['Icons pack'] = 'Iconen set';
 $lang['Last comments on albums'] = 'De laatste commentaren op albums';
-$lang['Over state'] = 'Extra';
 ?>
Index: /extensions/Comments_on_Albums/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/pl_PL/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/pl_PL/plugin.lang.php	(revision 14528)
@@ -1,22 +1,7 @@
 <?php
-/* common */
+
 $lang['Comments on photos'] = 'Komentarze na temat zdjec';
 $lang['Comments on albums'] = 'Komentarze na temat albumów';
-
-//
-
-/* admin */
-$lang['Icons pack'] = 'Icons pack';
-$lang['Basic state'] = 'Basic state';
-$lang['Over state'] = 'Over state';
-
-$lang['COA_help_icon_pack'] = 'Select which icons must be used on the main Comments page.<br>
-  <br>
-  You can add your owns in the folder <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'Validation (if enabled) of comments on albums is on <a href="admin.php?page=comments&section=albums">the same page</a> as the comments on pictures.';
-
-/* stuffs */
 $lang['Last comments on albums'] = 'Last comments on albums';
 $lang['Display last posted comments on albums'] = 'Display last posted comments on albums';
-
 ?>
Index: /extensions/Comments_on_Albums/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/pt_PT/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/pt_PT/plugin.lang.php	(revision 14528)
@@ -1,34 +1,7 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-$lang['Basic state'] = 'Estado básico';
-$lang['COA_comment_validation_link'] = 'Validação (se activada) de comentários em álbums é <a href="admin.php?page=comments&section=albums">na mesma página</a> que os comentários em fotos.';
-$lang['COA_help_icon_pack'] = 'Seleccione quais os ícones a serem usados na página principal de Comentários.<br>
-  <br>
-  Pode adicionar os seus próprios ícones na pasta <i>plugins/comments_on_pictures/template/s26</i>.';
+
 $lang['Comments on albums'] = 'Comentários em álbums';
 $lang['Comments on photos'] = 'Comentários em fotos';
 $lang['Display last posted comments on albums'] = 'Mostrar os últimos cometários feitos em álbums';
-$lang['Icons pack'] = 'Conjunto de ícones';
 $lang['Last comments on albums'] = 'Últimos comentários em álbums';
-$lang['Over state'] = 'Estado pairar';
 ?>
Index: /extensions/Comments_on_Albums/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/ru_RU/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/ru_RU/plugin.lang.php	(revision 14528)
@@ -1,33 +1,7 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-$lang['Basic state'] = 'Основное состояние';
-$lang['COA_comment_validation_link'] = 'Проверка (если включена) комментариев для альбомов <a href="admin.php?page=comments&section=albums">на той-же странице</a> что и комментарии для изображений.';
-$lang['COA_help_icon_pack'] = 'Выберите иконку для отображение на основной странице Комментариев <br>
-Вы можете добавлять свои в каталог <i>plugins/comments_on_pictures/template/s26</i>.';
+
 $lang['Comments on albums'] = 'Комментарии для альбомов';
 $lang['Comments on photos'] = 'Комментарии для фотографий';
 $lang['Display last posted comments on albums'] = 'Отображать последние комментарии для альбомов';
-$lang['Icons pack'] = 'Архив иконок';
 $lang['Last comments on albums'] = 'Последние комментарии для альбомов';
-$lang['Over state'] = 'Преувеличенное состояние';
 ?>
Index: /extensions/Comments_on_Albums/language/sh_RS/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/sh_RS/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/sh_RS/plugin.lang.php	(revision 14528)
@@ -1,32 +1,7 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-$lang['Basic state'] = 'Osnovno stanje';
-$lang['COA_comment_validation_link'] = 'Validacije komentara albuma (ako je omogućena) je na <a href="admin.php?page=comments&section=albums">istoj strani</a> gde su i komentari fotografija.';
-$lang['COA_help_icon_pack'] = 'Odaberite koje ikonice se moraju koristiti na glavnoj strani komentara.<br><br>Možete dodati Vaše lične u folder <i>plugins/comments_on_pictures/template/s26</i>.';
+
 $lang['Comments on albums'] = 'Komentari albuma';
 $lang['Comments on photos'] = 'Komentari fotografija';
 $lang['Display last posted comments on albums'] = 'Prikaži poslednje komentare albuma';
-$lang['Icons pack'] = 'Pakovanje ikonica';
 $lang['Last comments on albums'] = 'Poslednji komentari albuma';
-$lang['Over state'] = 'Iznad stanja';
 ?>
Index: /extensions/Comments_on_Albums/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/sk_SK/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/sk_SK/plugin.lang.php	(revision 14528)
@@ -1,14 +1,6 @@
 <?php
-/* common */
+
 $lang['Comments on photos'] = 'Komentáre na fotky';
 $lang['Comments on albums'] = 'Komentáre an albumy';
-
-/* admin */
-$lang['Icons pack'] = 'Balík ikon';
-$lang['Basic state'] = 'Základné nastavenie';
-$lang['Over state'] = 'Rozšírené nastavenie';
-
-$lang['COA_help_icon_pack'] = 'Označiť ikony, ktoré môžu byť použité na stránke komentárov.<br><br>Môžete pridať vlastné do adresára <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'Kontrola platnosti (ak je povolená) komentárov v albumoch je na <a href="admin.php?page=comments&section=albums">rovnakej stránke</a> ako komentáre na fotky.'; 
 $lang['Display last posted comments on albums'] = 'Zobraziť ostatné komentáre v albumoch';
 $lang['Last comments on albums'] = 'Ostatné komentáre v albumoch';
Index: /extensions/Comments_on_Albums/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/sv_SE/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/sv_SE/plugin.lang.php	(revision 14528)
@@ -1,17 +1,5 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Kommentarer till foton';
-$lang['Comments on albums'] = 'Kommentarer till album';
-
-/* admin */
-$lang['Icons pack'] = 'Ikoner';
-$lang['Basic state'] = 'Inaktiv';
-$lang['Over state'] = 'Aktiv';
-
-$lang['COA_help_icon_pack'] = 'Välj vilka ikoner som används på Kommentarssidan.<br>
-  <br> 
-  Du kan lägga till dina egna i mappen <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = 'Validering (om aktiv) av kommentarer till album är på <a href="admin.php?page=comments&section=albums">samma sida</a> som kommentarer till bilder.';
- 
+$lang['Comments on albums'] = 'Kommentarer till album'; 
 ?>
Index: /extensions/Comments_on_Albums/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/tr_TR/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/tr_TR/plugin.lang.php	(revision 14528)
@@ -1,21 +1,7 @@
 <?php
 
-/* common */
 $lang['Comments on photos'] = 'Fotograf Yorumları';
 $lang['Comments on albums'] = 'Albüm Yorumları';
-
-/* admin */
-$lang['Icons pack'] = 'İkon Paketi';
-$lang['Basic state'] = 'Basit durum';
-$lang['Over state'] = 'Gelişmiş durum';
-
-$lang['COA_help_icon_pack'] = 'Yorumlar sayfasında hangi ikonların kullanılacağını seçiniz.<br>
-  <br>
-  Kendi simgelerinizi ekleyeceğiniz klasör: <i>plugins/comments_on_pictures/template/s26</i>.';
-$lang['COA_comment_validation_link'] = '<a href="admin.php?page=comments&section=albums">Aynı sayfadaki</a>Onaylanması beklenen yorumlar.';
-
-/* stuffs */
 $lang['Last comments on albums'] = 'Albümlerdeki Son yorumlar';
 $lang['Display last posted comments on albums'] = 'Albümlerdeki son yorumları görüntüle';
-
 ?>
Index: /extensions/Comments_on_Albums/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/uk_UA/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/uk_UA/plugin.lang.php	(revision 14528)
@@ -1,34 +1,7 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-$lang['Basic state'] = 'Основний стан';
-$lang['COA_comment_validation_link'] = 'Перевірка(якщо включені) коментарів до альбомів на <a href="admin.php?page=comments&section=albums">тій же сторінці</a>, що і коментарі до зображень.';
-$lang['COA_help_icon_pack'] = 'Виберіть який іконки мають бути використані на головній сторінці коментарів.<br>
-<br>
-Ви можете додати іконки, які знаходяться в теці <i>plugins/comments_on_pictures/template/s26</i>.';
+
 $lang['Comments on albums'] = 'Коментарі до альбомів';
 $lang['Comments on photos'] = 'Коментарі до зображення';
 $lang['Display last posted comments on albums'] = 'Показати останні коментарі опубліковані до альбомів';
-$lang['Icons pack'] = 'Пакет іконок';
 $lang['Last comments on albums'] = 'Останні коментарі до альбомів';
-$lang['Over state'] = 'Над стан';
 ?>
Index: /extensions/Comments_on_Albums/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/zh_CN/plugin.lang.php	(revision 14527)
+++ /extensions/Comments_on_Albums/language/zh_CN/plugin.lang.php	(revision 14528)
@@ -1,34 +1,7 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
+
 $lang['Comments on albums'] = '相册评论';
 $lang['Comments on photos'] = '图片评论';
-$lang['Icons pack'] = '图标包';
-$lang['COA_comment_validation_link'] = '相册评论的审核(如果已开启)与图片评论审核在<a href="admin.php?page=comments&section=albums">同一页面</a>中';
-$lang['COA_help_icon_pack'] = '选择用于主评论页的图标<br>
-<br>你可以把自定义的的图标上传到 <i>plugins/comments_on_pictures/template/s26</i>目录中.
-';
 $lang['Display last posted comments on albums'] = '显示相册最新提交的评论';
 $lang['Last comments on albums'] = '相册最新评论';
-$lang['Basic state'] = '基本图标';
-$lang['Over state'] = '鼠标划过图标';
 ?>
Index: /extensions/Comments_on_Albums/main.inc.php
===================================================================
--- /extensions/Comments_on_Albums/main.inc.php	(revision 14527)
+++ /extensions/Comments_on_Albums/main.inc.php	(revision 14528)
@@ -8,4 +8,8 @@
 Author URI: http://www.strangeplanet.fr
 */
+
+## TODO ##
+// compatibility with Simple when updated to 2.4
+// compatibility with Gally when updated to 2.4
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -29,12 +33,13 @@
 {
   global $user;
-  // luciano doesn't show comments, display is very bad on Stripped & Collumns
+  
+  // luciano doesn't use comments
+  // incompatible with dynamic display of Stripped & Collumns
   if ($user['theme'] == 'luciano' or $user['theme'] == 'stripped_black_bloc') return;
   
-  add_event_handler('loc_end_index', 'COA_albums');
+  add_event_handler('loc_begin_page_header', 'COA_albums');
   add_event_handler('loc_after_page_header', 'COA_comments_page');
   add_event_handler('loc_begin_admin_page', 'COA_admin_intro');
   add_event_handler('loc_end_admin', 'COA_admin_comments');
-  add_event_handler('get_admin_plugin_menu_links', 'COA_admin_menu');
   add_event_handler('get_stuffs_modules', 'COA_register_stuffs_module');
 }
@@ -49,8 +54,6 @@
   global $template, $page, $conf, $pwg_loaded_plugins;
   
-  if (
-    $page['section'] == 'categories' AND isset($page['category']) AND 
-    ( !isset($pwg_loaded_plugins['rv_tscroller']) OR count($page['navigation_bar']) == 0 )
-  ) {   
+  if ( !empty($page['section']) AND $page['section'] == 'categories' AND isset($page['category']) AND $page['body_id'] == 'theCategoryPage' )
+  {
     if (isset($pwg_loaded_plugins['bbcode_bar']) AND !isset($_GET['comment_to_edit'])) 
     {
@@ -102,13 +105,4 @@
 }
 
-function COA_admin_menu($menu) 
-{
-  array_push($menu, array(
-    'NAME' => 'Comments on Albums',
-    'URL' => COA_ADMIN
-  ));
-  return $menu;
-}
-
 function COA_register_stuffs_module($modules) 
 {
@@ -124,4 +118,3 @@
 }
 
-
 ?>
Index: /extensions/Comments_on_Albums/maintain.inc.php
===================================================================
--- /extensions/Comments_on_Albums/maintain.inc.php	(revision 14527)
+++ /extensions/Comments_on_Albums/maintain.inc.php	(revision 14528)
@@ -2,14 +2,4 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-// Default configuration
-define(
-  'default_config', 
-  serialize(array(
-    'icon_color' => 'outline_ff3363.png',
-    'icon_color_over' => 'outline_ff7700.png',
-    ))
-  );
-
-// Installation
 function plugin_install() 
 {
@@ -29,16 +19,16 @@
 ) DEFAULT CHARSET=utf8
 ;");
-  
-  pwg_query("
-INSERT INTO " . CONFIG_TABLE . "(param,value,comment) 
-VALUES(
-  'comments_on_albums', 
-  '" . default_config . "', 
-  'Comments on Albums plugin'
-)
-;");
 }
 
-// Uninstallation
+function plugin_activate()
+{
+  global $conf;
+  
+  if (isset($conf['comments_on_albums']))
+  {
+    pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param="comments_on_albums" LIMIT 1;');
+  }
+}
+
 function plugin_uninstall() 
 {
@@ -46,5 +36,4 @@
 
   pwg_query("DROP TABLE `" . $prefixeTable . "comments_categories`;");
-  pwg_query("DELETE FROM " . CONFIG_TABLE . " WHERE `param` = 'comments_on_albums';");
 }
 ?>
Index: /extensions/Comments_on_Albums/template/admin_comments.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/admin_comments.tpl	(revision 14527)
+++ /extensions/Comments_on_Albums/template/admin_comments.tpl	(revision 14528)
@@ -1,41 +1,57 @@
 {* this is a copy of admin/theme/defaults/template/comments.tpl a bit modified *}
   
-{literal}
-<script type="text/javascript">
-  $(document).ready(function(){
-    $(".checkComment").click(function(event) {
-      if (event.target.type !== 'checkbox') {
-        var checkbox = $(this).children("input[type=checkbox]");
-        $(checkbox).attr('checked', !$(checkbox).is(':checked'));
+{footer_script}{literal}
+jQuery(document).ready(function(){
+  function highlighComments() {
+    jQuery(".checkComment").each(function() {
+      var parent = jQuery(this).parent('tr');
+      if (jQuery(this).children("input[type=checkbox]").is(':checked')) {
+        jQuery(parent).addClass('selectedComment'); 
+      }
+      else {
+        jQuery(parent).removeClass('selectedComment'); 
       }
     });
-    $("#commentSelectAll").click(function () {
-      $(".checkComment input[type=checkbox]").attr('checked', true);
-      return false;
+  }
+
+  jQuery(".checkComment").click(function(event) {
+    if (event.target.type !== 'checkbox') {
+      var checkbox = jQuery(this).children("input[type=checkbox]");
+      jQuery(checkbox).attr('checked', !jQuery(checkbox).is(':checked'));
+      highlighComments();
+    }
+  });
+
+  jQuery("#commentSelectAll").click(function () {
+    jQuery(".checkComment input[type=checkbox]").attr('checked', true);
+    highlighComments();
+    return false;
+  });
+
+  jQuery("#commentSelectNone").click(function () {
+    jQuery(".checkComment input[type=checkbox]").attr('checked', false);
+    highlighComments();
+    return false;
+  });
+
+  jQuery("#commentSelectInvert").click(function () {
+    jQuery(".checkComment input[type=checkbox]").each(function() {
+      jQuery(this).attr('checked', !$(this).is(':checked'));
     });
-    $("#commentSelectNone").click(function () {
-      $(".checkComment input[type=checkbox]").attr('checked', false);
-      return false;
-    });
-    $("#commentSelectInvert").click(function () {
-      $(".checkComment input[type=checkbox]").each(function() {
-        $(this).attr('checked', !$(this).is(':checked'));
-      });
-      return false;
-    });
+    highlighComments();
+    return false;
   });
-</script>
-{/literal}
+
+});
+{/literal}{/footer_script}
 
 <div class="titrePage">
-  <h2>{'Waiting'|@translate}</h2>
+  <h2>{'Pending Comments'|@translate} [{'Albums'|@translate}]</h2>
 </div>
 
-<h3>{'User comments validation'|@translate}</h3>
+{if !empty($comments) }
+<form method="post" action="{$F_ACTION}" id="pendingComments">
 
-{if !empty($comments) }
-<form method="post" action="{$F_ACTION}">
-
-  <table width="99%">
+<table>
   {foreach from=$comments item=comment name=comment}
     <tr valign="top" class="{if $smarty.foreach.comment.index is odd}row2{else}row1{/if}">
@@ -52,5 +68,5 @@
     </tr>
   {/foreach}
-  </table>
+</table>
 
   <p class="checkActions">
Index: /extensions/Comments_on_Albums/template/albums.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/albums.tpl	(revision 14527)
+++ /extensions/Comments_on_Albums/template/albums.tpl	(revision 14528)
@@ -1,33 +1,116 @@
 {* this is inspired by theme/defaults/template/picture.tpl *}
+ 
+{* <!-- need some css modifications, specific to each theme --> *}
+{html_head}
+<style type="text/css">
+#comments .commentElement {ldelim} width:98%;}
+{if $COMMENTS_ON_TOP}
+#commentAdd, #pictureCommentList {ldelim} float:none; display:inline-block; width:47.5%; vertical-align:top;}
+#commentsSwitcher {ldelim} float:none; display:inline-block; margin: 2px 0; cursor:pointer;}
+.noCommentContent #commentsSwitcher	{ldelim} display: none;}
+.switchArrow{ldelim} width: 16px; height: 16px; margin: 5px;}
+.commentshidden #pictureComments {ldelim} display: none;}
+.commentContent .comments_toggle 	{ldelim} cursor: pointer;}
+{/if}
+{if $themeconf.name == 'Sylvia'}
+#comments .description {ldelim} padding: 15px 2px 6px 12px;}
+#comments .commentElement {ldelim} border: 1px solid #666;}
+{/if}
+{if $themeconf.name|strstr:"stripped"}
+#comments {ldelim} text-align: left;}
+#comments .description {ldelim} height:auto;}
+#thumbnails_block2 {ldelim} min-height:0;}
+{/if}
+
+</style>
+{/html_head}
+
+{* <!-- if RV Thumb Scroller is installed comments block is displayed on top with a drop-down --> *}
+{if $COMMENTS_ON_TOP}
+{footer_script}{literal}
+	// comments show/hide
+	var commentsswicther=jQuery("#commentsSwitcher");
+	var comments=jQuery("#theCategoryPage #comments");
+	
+	commentsswicther.html("<div class=\"switchArrow\">&nbsp;</div>");
+  {/literal}{if $themeconf.name != 'elegant'}switcharrow = commentsswicther.children(".switchArrow");{else}switcharrow = $("<div></div>");{/if}{literal}
+	
+	if (comments.length == 1) {
+		var comments_button=jQuery("#comments h3");
+
+		if (comments_button.length == 0) {
+			jQuery("#addComment").before("<h3>Comments</h3>");
+			comments_button=jQuery("#comments h3");
+		}
+	
+    {/literal}{if $DISPLAY_COMMENTS_BLOCK}
+		comments.addClass("commentsshown");
+		comments_button.addClass("comments_toggle").addClass("comments_toggle_on");
+    switcharrow.html("&uarr;");
+    {else}
+    comments.addClass("commentshidden");
+		comments_button.addClass("comments_toggle").addClass("comments_toggle_off");
+    switcharrow.html("&darr;");
+		{/if}{literal}
+    
+		comments_button.click(function() { commentsToggle() });
+		commentsswicther.click(function() { commentsToggle() });
+	
+	}
   
-{combine_css path=$COA_PATH|@cat:'template/style_albums.css'}
-{if $themeconf.name == 'Sylvia'}{combine_css path=$COA_PATH|@cat:'template/style_albums_sylvia.css'}{/if}
+  function commentsToggle() {
+    var comments=jQuery("#theCategoryPage #comments");
+    var comments_button=jQuery("#comments h3");
 
-<a name="comments"></a>
+    if (comments.hasClass("commentshidden")) {
+        comments.removeClass("commentshidden").addClass("commentsshown");
+        comments_button.addClass("comments_toggle_off").removeClass("comments_toggle_off");
+        switcharrow.html("&uarr;");
+      } else {
+        comments.addClass("commentshidden").removeClass("commentsshown");
+        comments_button.addClass("comments_toggle_on").removeClass("comments_toggle_on");
+        switcharrow.html("&darr;");
+      }
+
+  }
+{/literal}{/footer_script}
+{/if}
+
 {if isset($COMMENT_COUNT)}
-<div id="comments">
-  {if $COMMENT_COUNT > 0}
-    <h3>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
-  {/if}
+<div id="comments" style="margin:10px 0 10px 0;" {if (!isset($comment_add) && ($COMMENT_COUNT == 0))}class="noCommentContent"{else}class="commentContent"{/if}>
+  <h3 style="margin:0 0 0 5px;"><div id="commentsSwitcher"></div>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
 
-  {if isset($comments)}
-    {include file='comment_list.tpl'}
-  {/if}
-  
-  {if !empty($comment_navbar)}{include file=$COA_ABSOLUTE_PATH|@cat:'template/navigation_bar.tpl'}{/if}
+  <div id="pictureComments"><fieldset>
+    {if isset($comment_add)}
+		<div id="commentAdd">
+			<h4>{'Add a comment'|@translate}</h4>
+			<form method="post" action="{$comment_add.F_ACTION}" id="addComment">
+				{if $comment_add.SHOW_AUTHOR}
+					<p><label>{'Author'|@translate} :</label></p>
+					<p><input type="text" name="author"></p>
+					<p><label>{'Comment'|@translate} :</label></p>
+				{/if}
+				<p><textarea name="content" id="contentid" rows="5" cols="50">{$comment_add.CONTENT}</textarea></p>
+				<p><input type="hidden" name="key" value="{$comment_add.KEY}">
+					<input type="submit" value="{'Submit'|@translate}"></p>
+			</form>
+		</div>
+    {/if}
+    {if isset($comments)}
+		<div id="pictureCommentList">
+			{if (($COMMENT_COUNT > 2) || !empty($comment_navbar))}
+				<div id="pictureCommentNavBar">
+					{if $COMMENT_COUNT > 2}
+						<a href="{$COMMENTS_ORDER_URL}#comments" rel="nofollow" class="commentsOrder">{$COMMENTS_ORDER_TITLE}</a>
+					{/if}
+					{if !empty($comment_navbar) }{include file=$COA_ABSOLUTE_PATH|@cat:'template/navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+				</div>
+			{/if}
+      {include file='comment_list.tpl'}
+		</div>
+		{/if}
+		{if not $COMMENTS_ON_TOP}<div style="clear:both"></div>{/if}
+	</fieldset></div>
 
-  {if isset($comment_add)}
-  <form method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment">
-    <fieldset>
-      <legend>{'Add a comment'|@translate}</legend>
-      {if $comment_add.SHOW_AUTHOR}
-        <label>{'Author'|@translate}<input type="text" name="author"></label>
-      {/if}
-      <label>{'Comment'|@translate}<textarea name="content" id="contentid" rows="5" cols="80">{$comment_add.CONTENT}</textarea></label>
-      <input type="hidden" name="key" value="{$comment_add.KEY}">
-      <input type="submit" value="{'Submit'|@translate}">
-    </fieldset>
-  </form>
-  {/if}
 </div>
 {/if}{*comments*}
Index: tensions/Comments_on_Albums/template/albums_simple.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/albums_simple.tpl	(revision 14527)
+++ 	(revision )
@@ -1,33 +1,0 @@
-{* this is inspired by theme/simple/template/picture.tpl *}
-
-{if $is_simple !== false}{combine_css path=$COA_PATH|@cat:'template/style_albums_simple.css'}{/if}
-
-{if (isset($COMMENT_COUNT) and ($COMMENT_COUNT>0)) or isset($comment_add) }
-<div id="theComments">
-  <h3 title="{'Add a comment'|@translate}">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
-    {if !empty($COMMENT_NAV_BAR)}
-    <div class="navigationBar">{$COMMENT_NAV_BAR}</div>
-    {/if}
-    {if isset($comment_add)}
-    <div id="commentAdd">
-      <h4>{'Add a comment'|@translate}</h4>
-      <form  method="post" action="{$comment_add.F_ACTION}" class="filter">
-        {if $comment_add.SHOW_AUTHOR}
-        <p><label>{'Author'|@translate}&nbsp;:</label></p>
-        <p><input type="text" name="author" /></p>
-        {/if}
-        <p><label>{'Comment'|@translate}&nbsp;:</label></p>
-        <p><textarea name="content" id="contentid" rows="5" cols="50">{$comment_add.CONTENT}</textarea></p>
-        <p><input type="hidden" name="key" value="{$comment_add.KEY}" />
-          <input class="submit" type="submit" value="{'Submit'|@translate}"></p>
-      </form>
-    </div>
-    {/if}
-    {if !empty($navbar) }{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
-    {if isset($comments)}
-    <div id="commentList">
-      {include file='comment_list.tpl'}
-    </div>
-    {/if}
-</div>
-{/if} {*comments*}
Index: /extensions/Comments_on_Albums/template/comments_page.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/comments_page.tpl	(revision 14527)
+++ /extensions/Comments_on_Albums/template/comments_page.tpl	(revision 14528)
@@ -1,35 +1,40 @@
-{* this is a copy of theme/defaults/template/comments.tpl a bit modified *}
-  
-{html_head}
-<style type="text/css">
-  .thumbnailCategory .category-title {ldelim}
-    font-size:1.1em;
-    font-weight:bold;
-  }
-  .pwg-icon-comments-images {ldelim}
-    background-image: url({$COA_PATH}template/s26/{$ICON_COLOR});
-    background-position: 0 0;
-  }
-  a:hover .pwg-icon-comments-images {ldelim}
-    background-image: url({$COA_PATH}template/s26/{$ICON_COLOR_OVER});
-    background-position: 0 0;
-  }
-</style>
-{/html_head}
+{* this is a copy of theme/default/template/comments.tpl a bit modified *}
 
-{if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content">
+{* <!-- stripped uses a custom layout -->*}
+{if $themeconf.name|strstr:"stripped"}
+  <div class="titrePage">
+    <div class="browsePath">
+      <h2>
+        {if isset($MENUBAR)}
+          <span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
+        {/if}
+        <a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'User comments'|@translate}
+      </h2>
+    </div>
+  </div>
 
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="comments.php" title="{'Comments on photos'|@translate}" class="pwg-state-default pwg-button">
-      <span class="pwg-icon pwg-icon-comments-images">&nbsp;</span><span class="pwg-button-text">{'Comments on photos'|@translate}</span>
-    </a></li>
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-      <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-    </a></li>
-  </ul>
-  <h2>{'User comments'|@translate}</h2>
-</div>
+  <div id="content">
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
+  <div id="content_cell">
+      <div class="content_block">
+{else}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
+  <div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
+
+  <div class="titrePage">
+    <ul class="categoryActions">
+    </ul>
+    <h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'User comments'|@translate}</h2>
+  </div>
+{/if}
+
+{include file='infos_errors.tpl'}
+
+<form class="filter">
+<fieldset>
+  <legend>{'Display comments on'|@translate}</legend>
+  <span style="font-size:1.1em;"><a href="comments.php">{'Photos'|@translate}</a> | <a href="#" style="font-weight:bold;">{'Albums'|@translate}</a></span>
+</fieldset>
+</form>
 
 <form class="filter" action="{$F_ACTION}?display_mode=albums" method="get">
@@ -38,7 +43,7 @@
     <legend>{'Filter'|@translate}</legend>
 
-    <label>{'Keyword'|@translate}<input type="text" name="keyword" value="{$F_KEYWORD}"></label>
+    <label>{'Keyword'|@translate} <input type="text" name="keyword" value="{$F_KEYWORD}"></label>
 
-    <label>{'Author'|@translate}<input type="text" name="author" value="{$F_AUTHOR}"></label>
+    <label>{'Author'|@translate} <input type="text" name="author" value="{$F_AUTHOR}"></label>
 
     <label>
@@ -95,8 +100,8 @@
 {if isset($comments)}
 <div id="comments">
-  {include file='comment_list.tpl'}
+  {include file='comment_list.tpl' comment_derivative_params=$derivative_params}
 </div>
 {/if}
 
 </div> <!-- content -->
-
+{if $themeconf.name|strstr:"stripped"}</div></div>{/if}
Index: tensions/Comments_on_Albums/template/config.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/config.tpl	(revision 14527)
+++ 	(revision )
@@ -1,65 +1,0 @@
-{combine_script id='jquery.cluetip' require='jquery' path='themes/default/js/plugins/jquery.cluetip.js'}
-{combine_css path=$COA_PATH|@cat:'template/style_admin.css'}
-
-{footer_script require='jquery'}
-{literal}
-  jQuery().ready(function(){
-    // Cluetip
-    jQuery('.cluetip').cluetip({
-      width: 550,
-      splitTitle: '|'
-    });
-{/literal}    
-    jQuery('select').change(function() {ldelim}
-      jQuery('#' + jQuery(this).attr('name') + '_live').attr('src', '{$COA_PATH}template/s26/' + jQuery(this).val());
-    });
-  });
-{/footer_script}
-
-{html_head}
-<style type="text/css">
-  .cluetip:after {ldelim}
-    content:url('{$themeconf.admin_icon_dir}/help.png');
-  }
-</style>
-{/html_head}
-
-<div class="titrePage">
-  <h2>Comments on Albums</h2>
-</div>
-
-<form method="post" action="" class="properties" id="CR_config">
-  <fieldset>
-    <legend><span class="title cluetip" title="{'Icons pack'|@translate}|{'COA_help_icon_pack'|@translate}">{'Icons pack'|@translate}</span></legend>
-    <table>  
-      <tr>
-        <td><span class="title">{'Basic state'|@translate}</span></td>
-        <td>
-          <select name="icon_color">
-          {foreach from=$COLORS item=COLOR}
-            <option value="{$COLOR}" {if $COLOR == $ICON_COLOR}selected="selected"{/if}>{$COLOR}</option>
-          {/foreach}
-          </select>
-          
-          <img id="icon_color_live" class="pwg-icon" src="{$COA_PATH}template/s26/{$ICON_COLOR}"/>
-        </td>
-      </tr>
-      <tr>
-        <td><span class="title">{'Over state'|@translate}</span></td>
-        <td>
-          <select name="icon_color_over">
-          {foreach from=$COLORS item=COLOR}
-            <option value="{$COLOR}" style="color:#{$COLOR};" {if $COLOR == $ICON_COLOR_OVER}selected="selected"{/if}>{$COLOR}</option>
-          {/foreach}
-          </select>
-          
-          <img id="icon_color_over_live" class="pwg-icon" src="{$COA_PATH}template/s26/{$ICON_COLOR_OVER}"/>
-        </td>
-      </tr>
-    </table>
-  </fieldset>
-
-  <p><input class="submit" type="submit" value="{'Submit'|@translate}" name="config_submit"/></p>
-</form>
-
-<p>{'COA_comment_validation_link'|@translate}</p>
Index: tensions/Comments_on_Albums/template/style_admin.css
===================================================================
--- /extensions/Comments_on_Albums/template/style_admin.css	(revision 14527)
+++ 	(revision )
@@ -1,25 +1,0 @@
-.titrePage {
-  clear:right;
-}
-
-table {
-  width:80%;
-}
-td {
-  width:50%;
-  white-space: nowrap;
-}
-.title {
-  display:block;
-  font-weight:bold;
-  text-align:right;
-  margin-right:10px;
-}
-.title.cluetip:after {
-  margin-left:5px;
-  vertical-align:top;
-}
-
-.pwg-icon {
-  margin:-5px 0;
-}
Index: tensions/Comments_on_Albums/template/style_albums.css
===================================================================
--- /extensions/Comments_on_Albums/template/style_albums.css	(revision 14527)
+++ 	(revision )
@@ -1,29 +1,0 @@
-#comments .thumbnailCategories li,
-#comments .thumbnailCategory ,
-#comments .thumbnailCategory .description,
-#comments .thumbnailCategory div.illustration { 
-  background-image:none;
-  height:auto !important;
-}
-
-#comments .thumbnailCategories {
-  margin-left:5px;
-}
-#comments  .thumbnailCategory {
-  margin:2px 0;
-}
-
-#comments .thumbnailCategory  .date, #comments .thumbnailCategory  .author {
-  font-weight:bold;
-}
-
-#comments {
-  padding:0;
-}
-#comments h3 {
-  padding-left:10px;
-}
-
-.errors, .infos {
-  padding-left:20em;
-}
Index: tensions/Comments_on_Albums/template/style_albums_simple.css
===================================================================
--- /extensions/Comments_on_Albums/template/style_albums_simple.css	(revision 14527)
+++ 	(revision )
@@ -1,10 +1,0 @@
-#theComments {
-  width:1000px;
-  margin-left:186px;
-}
-#commentAdd {
-  width:400px;
-}
-#commentList {
-  width:530px;
-}
Index: tensions/Comments_on_Albums/template/style_albums_sylvia.css
===================================================================
--- /extensions/Comments_on_Albums/template/style_albums_sylvia.css	(revision 14527)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#comments  .thumbnailCategory {
-  padding-left:10px;
-  border: 1px solid #666; 
-}
-#comments  .thumbnailCategory.odd { 
-  background-color: #222; 
-}
-#comments  .thumbnailCategory.even { 
-  background-color: #111; 
-}
-#comments .thumbnailCategories li:hover { 
-  background-color: transparent; 
-}
